MODBUS_GET_BYTE_TIME(3)

NAME
modbus_get_byte_timeout - get timeout between bytes

SYNOPSIS

void modbus_get_byte_timeout(modbus_t *ctx, struct timeval *timeout);

DESCRIPTION

The modbus_get_byte_timeout() function shall store the timeout interval between two consecutive bytes of the same message in the timeout argument.

RETURN VALUE

There is no return values.

EXAMPLE

    struct timeval byte_timeout;

    /* Save original timeout */
    modbus_get_byte_timeout(ctx, &byte_timeout);

SEE ALSO

modbus_get_response_timeout(3) modbus_set_response_timeout(3) modbus_set_byte_timeout(3)

AUTHORS

The libmodbus documentation was written by Stéphane Raimbault <stephane.raimbault@gmail.com[1]>

NOTES

1.  stephane.raimbault@gmail.com
    mailto:stephane.raimbault@gmail.com